cURL
curl -X POST 'https://api.nuntly.com/messages/imsg_01kabn43yqyxn2bx4ve84mczd3/forward' \
-H 'Authorization: Bearer apk_xxx' \
-H 'Content-Type: application/json' \
-d '{"to":"brian67@gmail.com","text":"Thank you for signing up! Please verify your email address."}'import { Nuntly } from '@nuntly/sdk';
const client = new Nuntly({
apiKey: process.env['NUNTLY_API_KEY'],
});
const response = await client.messages.forward('imsg_01kabn43yqyxn2bx4ve84mczd3', {
to: 'brian67@gmail.com',
text: 'Thank you for signing up! Please verify your email address.',
});import com.nuntly.sdk.Nuntly;
import com.nuntly.sdk.ClientOptions;
import com.nuntly.sdk.models.*;
var nuntly = Nuntly.create(ClientOptions.builder()
.apiKey(System.getenv("NUNTLY_API_KEY"))
.build());
var response = nuntly.messages().forward("imsg_01kabn43yqyxn2bx4ve84mczd3", ForwardMessageRequest.builder()
.to(List.of("brian67@gmail.com"))
.text("Thank you for signing up! Please verify your email address.")
.build());import requests
url = "https://api.nuntly.com/messages/{messageId}/forward"
payload = {
"to": ["<string>"],
"text": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
{
"data": {
"id": "<string>",
"threadId": "<string>",
"messageId": "<string>",
"subject": "<string>"
}
}{
"error": {
"status": 123,
"code": "<string>",
"title": "<string>",
"details": {}
}
}Messages
Forward Message
Forward a message to new recipients.
POST
/
messages
/
{messageId}
/
forward
cURL
curl -X POST 'https://api.nuntly.com/messages/imsg_01kabn43yqyxn2bx4ve84mczd3/forward' \
-H 'Authorization: Bearer apk_xxx' \
-H 'Content-Type: application/json' \
-d '{"to":"brian67@gmail.com","text":"Thank you for signing up! Please verify your email address."}'import { Nuntly } from '@nuntly/sdk';
const client = new Nuntly({
apiKey: process.env['NUNTLY_API_KEY'],
});
const response = await client.messages.forward('imsg_01kabn43yqyxn2bx4ve84mczd3', {
to: 'brian67@gmail.com',
text: 'Thank you for signing up! Please verify your email address.',
});import com.nuntly.sdk.Nuntly;
import com.nuntly.sdk.ClientOptions;
import com.nuntly.sdk.models.*;
var nuntly = Nuntly.create(ClientOptions.builder()
.apiKey(System.getenv("NUNTLY_API_KEY"))
.build());
var response = nuntly.messages().forward("imsg_01kabn43yqyxn2bx4ve84mczd3", ForwardMessageRequest.builder()
.to(List.of("brian67@gmail.com"))
.text("Thank you for signing up! Please verify your email address.")
.build());import requests
url = "https://api.nuntly.com/messages/{messageId}/forward"
payload = {
"to": ["<string>"],
"text": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
{
"data": {
"id": "<string>",
"threadId": "<string>",
"messageId": "<string>",
"subject": "<string>"
}
}{
"error": {
"status": 123,
"code": "<string>",
"title": "<string>",
"details": {}
}
}Authorizations
Use an API key from https://nuntly.com/api-keys. Required on every endpoint.
Headers
Unique key to ensure the request is processed at most once. UUIDv4 recommended.
Required string length:
1 - 255Path Parameters
The RFC 5322 Message-ID header.
Body
application/json
The recipient addresses to forward to.
Example:
"brian67@gmail.com"
An optional comment to prepend.
Example:
"Thank you for signing up! Please verify your email address."
Response
Request accepted.
Show child attributes
Show child attributes
⌘I
